#!/bin/sh

clear
echo Plik instalacyjny programu XdeFactor by Michal Ociepka
echo Czy jestes nowym uzytkownikiem XdeFactor [y/n] ?
echo Jesli uaktualniasz poprzednia wersje nacisnij [n]
echo Jesli chcesz wyjsc nacisnij [q]
read ANSWER

new() {
	install -m 755 logo /usr/bin
	mkdir /etc/xdefactor
	chown -R ksiegowy /etc/xdefactor
	chgrp -R biuro /etc/xdefactor
	chmod 750 /etc/xdefactor
	cp conf/* /etc/xdefactor
	mkdir /etc/xdefactor/archiwum
	cp environment /etc
	install -m 700 xdefactor_backup /usr/sbin

	echo Wlasnie zainstalowalem XdeFactor w Twoim systemie!!
}

upgrade() {
	install -m 755 logo /usr/bin
	cp conf/autor /etc/xdefactor
	install -m 755 src/xdefactor /usr/bin
	chown root xdefactor_backup
	install -m 700 xdefactor_backup /usr/sbin
	
	echo Wlasnie ulepszylem poprzednia wersje XdeFactor
	
}

case $ANSWER in
	y | Y)
		new
		;;
	n | N)
		upgrade
		;;
	q | Q)
		exit
		;;
esac
		
